<?php
/*
Plugin Name: Social Widget
Description: A beautiful widget that allow you to add a stylish Facebook like box, twitter follow button and a google +1 button to your sidebar.
Author: Ismail El Korchi
Version: 1.1
Author URI: http://www.conseils-relationnel.com
*/

/*  Copyright 2012  Ismail El Korchi

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

class SocialWidget extends WP_Widget
{
	function __construct()
	{
		$params = array(
			'description' => 'Display social media widget',
			'name' => 'Social Widget'
		);
		parent::__construct('SocialWidget','',$params);
	}
	
	public function form($instance)
	{
		extract($instance);
		?>
		<center><strong>Social Profiles</strong></center><br />
		<p>
			<label for="<?php echo $this->get_field_id('page_id');?>">Facebook Page ID : </label>
			<input type="text" class="widefat"
			id="<?php echo $this->get_field_id('page_id');?>"
			name="<?php echo $this->get_field_name('page_id');?>"
			value="<?php if( isset($page_id) ) echo esc_attr( $page_id); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('username');?>">Twitter Username : </label>
			<input type="text" class="widefat"
			id="<?php echo $this->get_field_id('username');?>"
			name="<?php echo $this->get_field_name('username');?>"
			value="<?php if( isset($username) ) echo esc_attr( $username); ?>" />
		</p>
		<center><strong>Settings</strong></center><br />
		<p>
			<label for="<?php echo $this->get_field_id('recommend');?>">Google recommend text : </label><br>
			<input type="text" class="widefat"
			id="<?php echo $this->get_field_id('recommend');?>"
			name="<?php echo $this->get_field_name('recommend');?>"
			value="<?php if( isset($recommend) ){ echo esc_attr( $recommend);}else{echo 'Recommend on Google';} ?>" />
		</p>		
		<p>
			<label for="<?php echo $this->get_field_id('follower_count');?>">Show follower count : </label>
			<input type="checkbox" class="widefat" checked="checked"
			id="<?php echo $this->get_field_id('follower_count');?>"
			name="<?php echo $this->get_field_name('follower_count');?>"
			value="1" <?php checked( $follower_count ); ?>/>

		</p>
		<p>
			<label for="<?php echo $this->get_field_id('show_username');?>">Show username : </label>
			<input type="checkbox" class="widefat" checked="checked"
			id="<?php echo $this->get_field_id('show_username');?>"
			name="<?php echo $this->get_field_name('show_username');?>"
			value="1" <?php checked( $show_username ); ?>/>

		</p>
		<p>
			<label for="<?php echo $this->get_field_id('footertext');?>">Widget footer URL anchor text : </label>
			<input type="text" class="widefat"
			id="<?php echo $this->get_field_id('footertext');?>"
			name="<?php echo $this->get_field_name('footertext');?>"
			value="<?php if( isset($footertext) ){ echo esc_attr( $footertext);}else{echo 'Widget by Conseils Relationnel';} ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('footerurl');?>">Widget footer URL : </label>
			<input type="text" class="widefat"
			id="<?php echo $this->get_field_id('footerurl');?>"
			name="<?php echo $this->get_field_name('footerurl');?>"
			value="<?php if( isset($footerurl) ){ echo esc_attr( $footerurl);}else{echo 'http://www.conseils-relationnel.com';} ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('show_footer_link');?>">Show footer link : </label>
			<input type="checkbox" class="widefat" checked="checked"
			id="<?php echo $this->get_field_id('show_footer_link');?>"
			name="<?php echo $this->get_field_name('show_footer_link');?>"
			value="true" <?php checked( $show_footer_link ); ?>/>

		</p>		
		<?php
	}
	public function widget($args,$instance)
	{
		extract($args);
		extract($instance);
		$showFC = !empty($follower_count) ?  'true' : 'false';
		$showUN = !empty($show_username) ?  'true' : 'false';
		echo $before_widget;
			printf('<div id="sidesocial">
						<div class="sidefb">
							
							<fb:fan profile_id="' . $page_id . '" stream="0" connections="8" logobar="0" width="250"
							height="200" css="' . get_bloginfo('wpurl') . '/wp-content/plugins/social-widget/style.css?ver=8" rel="stylesheet" type="text/css"></fb:fan>
						</div>
						<div class="sideg">
							<div class="g-plusone" data-size="medium" data-href="'.get_bloginfo('wpurl').'"></div>
							<span>'.$recommend.'</span>
						</div>
						<div class="sidetw">
						<a href="https://twitter.com/' . $username . '" class="twitter-follow-button" data-show-screen-name="'. $showUN .'" data-show-count="'. $showFC .'" data-lang="en">Suivre @' .$username . '</a>
						</div>
					</div>');
			if(!empty($show_footer_link))
			{
					
				printf('<span style="font-family: Arial, Helvetica, sans-serif;"><a href="' .  $footerurl . '" target="_blank" title="' .  $footertext . '">'. $footertext. '</a></span>');
			}
			echo $after_widget;
	}	
}

add_action('widgets_init','register_socialwidget');
function register_socialwidget()
{
	register_widget('SocialWidget');
}
add_action('wp_head','addstyle');
function addstyle()
{
	echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/social-widget/style.css"/>' ;
}
add_action('wp_footer','addscripts');
function addscripts()
{
	?>
	<div id="fb-root">
	<script type="text/javascript">
		window.fbAsyncInit = function() {
  			FB.init({ status: true, cookie: true, xfbml: true});
		};
		(function() {
			var e = document.createElement('script');
			e.type = 'text/javascript';
			e.src = document.location.protocol + '//connect.facebook.net/en_US/all.js';
			e.async = true;
			document.getElementById('fb-root').appendChild(e);
		}());
		(function() {
			var e = document.createElement('script');
			e.type = 'text/javascript';
			e.src = 'http://platform.twitter.com/widgets.js';
			e.async = true;
			document.getElementById('fb-root').appendChild(e);
		}());
		window.___gcfg = {lang: 'fr'};
		(function() {
			var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    		po.src = 'https://apis.google.com/js/plusone.js';
   			var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  		})();
 	</script>
</div>
<?php
}
?>